Subject: bug#21663: closed (Re: bug#21663: 25.0.50; isearch-edit-string dont resume multi isearches)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 04 Jun 2016 22:09:03 +0000

Your bug report

#21663: Subject: 25.0.50; isearch-edit-string dont resume multi isearches

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21663: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21663
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21663: 25.0.50; isearch-edit-string dont resume multi isearches
From: Juri Linkov <[email-masked]>
To: [email-masked]
Date: Sun, 05 Jun 2016 01:06:55 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Lars Ingebrigtsen wrote:
>
>> Thanks; I've now applied this to the trunk.  Seems to be working great,
>> and it's a feature I've missed for years.
>
> Was a copyright assignment ever completed?
> I don't see one on file.
>
> http://debbugs.gnu.org/21684#14
>
> Juri Linkov wrote:
>
>> Have you already signed FSF copyright assignment papers?
>>
>> Your patch for bug#21663 is short enough to be installed without the
>> copyright paperwork, but your changes for bug#21684 require it.

Thanks for the reminder.  This is now installed (required merging
with other changes in the same function).

Subject: Subject: 25.0.50; isearch-edit-string dont resume multi isearches
From: Tino Calancha <[email-masked]>
To: [email-masked]
Date: Sun, 11 Oct 2015 13:57:51 +0900 (JST)
List-Id: <debbugs-submit.debbugs.gnu.org>

Start fresh session:
emacs -Q

C-x C-b
M-x multi-isearch-buffer RET *scratch* RET *Buffer List* RET RET s
(Using C-s several times will search "s" on the two buffers).

M-s e
(Now C-s should keep searching the same string "s" in the two buffers,
  but the string is searched just in the current buffer).
diff --git a/lisp/isearch.el b/lisp/isearch.el
index 4fc9b38..5440be7 100644
--- a/lisp/isearch.el
+++ b/lisp/isearch.el
@@ -1086,7 +1086,10 @@ isearch-done
       ;; Update the ring data.
       (isearch-update-ring isearch-string isearch-regexp))
 
-  (let ((isearch-mode-end-hook-quit (and nopush (not edit))))
+  (let ((isearch-mode-end-hook-quit (and nopush (not edit)))
+        (isearch-mode-end-hook      (if (and nopush edit multi-isearch-buffer-list)
+                                        (delq 'multi-isearch-end isearch-mode-end-hook)
+                                      isearch-mode-end-hook)))
     (run-hooks 'isearch-mode-end-hook))
 
   ;; If there was movement, mark the starting position.